dbXML API

## com.dbxml.db.core.data
Class Record

    java.lang.Object
      com.dbxml.db.core.data.Record

public final class Record
extends java.lang.Object

Record is a container for Key/Value pairs. Record also provides metadata for a Value stored in the database.

Constructor Summary
`Record()`
`Record(Key key, Value value)`
`Record(Key key, Value value, RecordMetaData meta)`

Method Summary
`Key` `getKey()` getKey returns the Record's Key.
`RecordMetaData` `getMetaData()` getMetaData returns metadata about the Record.
`Value` `getValue()` getValue returns the Record's Value.
`void` `setValue(java.lang.String value)` setValue sets the Record's Value.
`void` `setValue(Value value)` setValue sets the Record's Value.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Record

    public Record()

### Record

    public Record(Key key,
                  Value value,
                  RecordMetaData meta)

### Record

    public Record(Key key,
                  Value value)

Method Detail

### getKey

    public Key getKey()

  getKey returns the Record's Key.

  Returns:
    The Record's Key

### setValue

    public void setValue(Value value)

  setValue sets the Record's Value.

  Parameters:
    `value` - The new Value

### setValue

    public void setValue(java.lang.String value)

  setValue sets the Record's Value.

  Parameters:
    `value` - The new Value

### getValue

    public Value getValue()

  getValue returns the Record's Value.

  Returns:
    The Record's Value

### getMetaData

    public RecordMetaData getMetaData()

  getMetaData returns metadata about the Record.

  Returns:
    The metadata instance (or null)

dbXML API

Copyright (c) 2004 The dbXML Group